<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
// @codingStandardsIgnoreFile
?>
<?php
/**
 * Pager template
 *
 * @see \Magento\Theme\Block\Html\Pager
 */
?>
<?php if ($block->getCollection()->getSize()): ?>


    <?php if ($block->getShowAmounts()): ?>
        <p class="toolbar-amount">
            <span class="toolbar-number">
        <?php if ($block->getLastPageNum() > 1): ?>
                    <?php /* @escapeNotVerified */ echo __('Items %1 to %2 of %3 total', $block->getFirstNum(), $block->getLastNum(), $block->getTotalNum()) ?>
                <?php elseif ($block->getTotalNum() == 1): ?>
                    <?php /* @escapeNotVerified */ echo __('%1 Item', $block->getTotalNum()) ?>
                <?php else: ?>
                    <?php /* @escapeNotVerified */ echo __('%1 Item(s)', $block->getTotalNum()) ?>
                <?php endif; ?>
            </span>
        </p>
    <?php endif ?>



    <?php if ($block->isShowPerPage()): ?>
        <div class="limiter">
            <strong class="limiter-label"><?php /* @escapeNotVerified */ echo __('Show') ?></strong>
            <select id="limiter" data-mage-init='{"redirectUrl": {"event":"change"}}' class="limiter-options c-select form-control">
        <?php foreach ($block->getAvailableLimit() as $_key => $_limit): ?>
                    <option value="<?php /* @escapeNotVerified */ echo $block->getLimitUrl($_key) ?>"<?php if ($block->isLimitCurrent($_key)): ?>
                                selected="selected"<?php endif ?>>
            <?php /* @escapeNotVerified */ echo $_limit ?>
                    </option>
                            <?php endforeach; ?>
            </select>
            <span class="limiter-text"><?php /* @escapeNotVerified */ echo __('per page') ?></span>
        </div>
    <?php endif ?>




    <?php if ($block->getShowAmounts()): ?>
        <p class="toolbar-amount">
            <span class="toolbar-number">
        <?php if ($block->getLastPageNum() > 1): ?>
                    <?php /* @escapeNotVerified */ echo __('Items %1 to %2 of %3 total', $block->getFirstNum(), $block->getLastNum(), $block->getTotalNum()) ?>
                <?php elseif ($block->getTotalNum() == 1): ?>
                    <?php /* @escapeNotVerified */ echo __('%1 Item', $block->getTotalNum()) ?>
                <?php else: ?>
                    <?php /* @escapeNotVerified */ echo __('%1 Item(s)', $block->getTotalNum()) ?>
                <?php endif; ?>
            </span>
        </p>
    <?php endif ?>
    <?php if ($block->getLastPageNum() > 1): ?>
        <nav class="nx-pagination-wrap">
            <ul class="pagination">

        <?php if (!$block->isFirstPage()): ?>
                    <li class="item pages-item-previous">
                    <?php $text = $block->getAnchorTextForPrevious() ? $block->getAnchorTextForPrevious() : ''; ?>
                        <a class="<?php /* @escapeNotVerified */ echo $text ? 'link ' : 'action ' ?> previous" href="<?php /* @escapeNotVerified */ echo $block->getPreviousPageUrl() ?>" title="<?php /* @escapeNotVerified */ echo $text ? $text : __('Previous') ?>">
                            <span> <i class="icon-right"></i></span>
                        </a>
                    </li>
        <?php endif; ?>
                <?php if ($block->canShowFirst()): ?>
                    <li>
                        <a class="page first" href="<?php /* @escapeNotVerified */ echo $block->getFirstPageUrl() ?>">
                            1
                        </a>
                    </li>
        <?php endif; ?>
                <?php if ($block->canShowPreviousJump()): ?>
                    <li>
                        <a  title="" href="<?php /* @escapeNotVerified */ echo $block->getPreviousJumpUrl() ?>">
                            ...
                        </a>
                    </li>
        <?php endif; ?>

                <?php foreach ($block->getFramePages() as $_page): ?>
                    <?php if ($block->isPageCurrent($_page)): ?>
                        <li class="active">
                            <a href="<?php /* @escapeNotVerified */ echo $block->getPageUrl($_page) ?>">
                <?php /* @escapeNotVerified */ echo $_page ?>
                            </a>
                        </li>
            <?php else: ?>
                        <li>
                            <a href="<?php /* @escapeNotVerified */ echo $block->getPageUrl($_page) ?>">
                <?php /* @escapeNotVerified */ echo $_page ?>
                            </a>
                        </li>
            <?php endif; ?>
                <?php endforeach; ?>
                <?php if ($block->canShowLast()): ?>
                    <li>
                        <a  href="<?php /* @escapeNotVerified */ echo $block->getLastPageUrl() ?>">
            <?php /* @escapeNotVerified */ echo $block->getLastPageNum() ?>
                        </a>
                    </li>
        <?php endif; ?>

                <?php if (!$block->isLastPage()): ?>
                    <li>
                    <?php $text = $block->getAnchorTextForNext() ? $block->getAnchorTextForNext() : ''; ?>
                        <a class="<?php /* @escapeNotVerified */ echo $text ? 'link ' : 'action ' ?> next" href="<?php /* @escapeNotVerified */ echo $block->getNextPageUrl() ?>" title="<?php /* @escapeNotVerified */ echo $text ? $text : __('Next') ?>">
                            <span aria-hidden="true">
                                <i class="icon-left"></i>
                            </span>
                        </a>
                    </li>
        <?php endif; ?>



            </ul>
        </nav>
    <?php endif; ?>

    <?php
 endif ?>